# Enum RecordingMethod

java.lang.Object
java.lang.Enum<RecordingMethod>
com.codename1.health.RecordingMethod

All Implemented Interfaces:
  `Comparable<RecordingMethod>`

public enum RecordingMethod extends Enum<RecordingMethod>
How a sample came to exist. Health Connect records this explicitly; HealthKit infers it from sample metadata. Worth setting on writes -- downstream apps use it to decide whether to trust a value.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVELY_RECORDED`
  Recorded while the user was deliberately tracking -- during a workout they started, or a measurement they triggered.
  `AUTOMATIC`
  Recorded passively in the background by a device or app, without the user starting anything.
  `MANUAL_ENTRY`
  A human typed it in.
  `UNKNOWN`
  The platform did not say.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecordingMethod`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RecordingMethod[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final RecordingMethod UNKNOWN
    The platform did not say.

  - ### MANUAL_ENTRY

    public static final RecordingMethod MANUAL_ENTRY
    A human typed it in.

  - ### AUTOMATIC

    public static final RecordingMethod AUTOMATIC
    Recorded passively in the background by a device or app, without the user starting anything.

  - ### ACTIVELY_RECORDED

    public static final RecordingMethod ACTIVELY_RECORDED
    Recorded while the user was deliberately tracking -- during a workout they started, or a measurement they triggered.

- ## Method Details

  - ### values

    public static RecordingMethod[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RecordingMethod valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null